/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

/**
 * @author Masako Okayasu
 */
public class XbTupleDataObj {

	// トータル的な並び順
	private long item_order;
	// タクソノミーグループID
	private long taxonomy_group_id;
	// タクソノミー項目ID
	private long taxonomy_item_id;
	// タクソノミー項目SEQ
	private long taxonomy_item_seq;
	// 親タクソノミー項目ID
	private long parent_taxonomy_item_id;
	// 親タクソノミー項目SEQ
	private long parent_taxonomy_item_seq;
	// ユーザ側環境 データ内容
	private String item_value;
	// コンテキストID
	private long context_id;

	/**
	 * @return context_id
	 */
	public long getContext_id() {
		return context_id;
	}
	/**
	 * @param context_id 設定する context_id
	 */
	public void setContext_id(long context_id) {
		this.context_id = context_id;
	}
	/**
	 * @return item_order
	 */
	public long getItem_order() {
		return item_order;
	}
	/**
	 * @param item_order 設定する item_order
	 */
	public void setItem_order(long item_order) {
		this.item_order = item_order;
	}
	/**
	 * @return item_value
	 */
	public String getItem_value() {
		return item_value;
	}
	/**
	 * @param item_value 設定する item_value
	 */
	public void setItem_value(String item_value) {
		this.item_value = item_value;
	}
	/**
	 * @return parent_taxonomy_item_id
	 */
	public long getParent_taxonomy_item_id() {
		return parent_taxonomy_item_id;
	}
	/**
	 * @param parent_taxonomy_item_id 設定する parent_taxonomy_item_id
	 */
	public void setParent_taxonomy_item_id(long parent_taxonomy_item_id) {
		this.parent_taxonomy_item_id = parent_taxonomy_item_id;
	}
	/**
	 * @return parent_taxonomy_item_seq
	 */
	public long getParent_taxonomy_item_seq() {
		return parent_taxonomy_item_seq;
	}
	/**
	 * @param parent_taxonomy_item_seq 設定する parent_taxonomy_item_seq
	 */
	public void setParent_taxonomy_item_seq(long parent_taxonomy_item_seq) {
		this.parent_taxonomy_item_seq = parent_taxonomy_item_seq;
	}
	/**
	 * @return taxonomy_group_id
	 */
	public long getTaxonomy_group_id() {
		return taxonomy_group_id;
	}
	/**
	 * @param taxonomy_group_id 設定する taxonomy_group_id
	 */
	public void setTaxonomy_group_id(long taxonomy_group_id) {
		this.taxonomy_group_id = taxonomy_group_id;
	}
	/**
	 * @return taxonomy_item_id
	 */
	public long getTaxonomy_item_id() {
		return taxonomy_item_id;
	}
	/**
	 * @param taxonomy_item_id 設定する taxonomy_item_id
	 */
	public void setTaxonomy_item_id(long taxonomy_item_id) {
		this.taxonomy_item_id = taxonomy_item_id;
	}
	/**
	 * @return taxonomy_item_seq
	 */
	public long getTaxonomy_item_seq() {
		return taxonomy_item_seq;
	}
	/**
	 * @param taxonomy_item_seq 設定する taxonomy_item_seq
	 */
	public void setTaxonomy_item_seq(long taxonomy_item_seq) {
		this.taxonomy_item_seq = taxonomy_item_seq;
	}
}